/* === Style de base améliores*/
body{
    font-family: Georgia, 'Times New Roman', Times, serif;
    margin: 0;
    line-height: 1.5;
    background: linear-gradient(to bottom, #FFFCF8 0%,#F3EAE1 100%);
}
/*=== Header ===*/
header{
    background: linear-gradient(135deg, #3a2c1a 0%, #1a120b 100%);
    color: white;
    padding: 20px;
    text-align: center;
}
header h1{
    font-size: 24px;
    margin-top: 10px;
}
header img{
    height: 20rem;
    width: 20rem;
    object-fit: cover;
    border-radius: 8px;
}
header h1{
    font-size: 24px;
    margin-top: 10px;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.7);
}
header p{
    max-width: 600px;
    margin: 10px auto;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.7);
}
nav{
    border-bottom: 1px solid #ddd;
    padding: 10px 20px;
    margin-bottom: 8px;
}
nav ul{
    list-style: none;
    display: flex;
    gap: 15px;
    justify-content: center;
    margin: 0;
    padding: 0;
    flex-wrap: nowrap;
}
nav ul li{
    padding: 4px;
    margin: 4px;
}
nav ul li a{
    text-decoration: none;
    color: #333;
    background-color: #f0f0f0;
    padding: 8px 15px;
    border-radius: 5px;
    transition: 0.3s;
    font-weight: 500;
}
nav ul li a:hover{
    background-color: #e0e0e0;
    color: #000;
}
.menu-icon{
    display: none;
    font-size: 28px;
    cursor: pointer;
    padding: 10px;
}
#menu-toggle{
    display: none;
}
main{
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}
div{
    margin-bottom: 30px;
}
h2{
    color: #F0D9B5;
    margin-bottom: 15px;
    padding-bottom: 5px;
    border-bottom: 2px solid #A67C52;
}
a{
    color: #1F3C88;
    text-decoration: none;
    font-weight: bold;
    transition: color 0.3s ease;
}
a:hover{
    color: #142F66;
    text-decoration: underline;
}
/*===footer===*/
footer{
    background: linear-gradient(135deg,#1a120b 0%, #000 100%);
    color: white;
    padding: 30px 20px;
}
#sect{
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap; /*permet le retour à la ligne*/
    gap: 20px; /*espacement uniforme*/
}
#contact, #lien{
    margin: 0 auto;
}
#contact ul li a{
    text-decoration: none;
}
#lien ul li a {
    text-decoration: none;
}
#actu{
    display: block;
    background: rgba(255, 255, 255, 0.6);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    padding: 20px;
    border-radius: 10px;
    margin: 0 auto;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
}
.block_actu{
    display: flex;
    border-bottom: 2px solid #f1b375;
    margin: 0 auto;
    margin-bottom: 4px;
}
.fil{
    width: 24%;
    background: rgba(255, 255, 255, 0.85);
    border: 1px solid #ccc;
    border-radius: 8px;
    padding: 15px;
    margin: 0 auto;
    margin-bottom: 4px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.08);
    justify-content: center;
    text-align: center;
}
.fil img{
    width: 90%;
    height: auto;
    border-radius: 8px;
    margin: 0 auto;
}
@media (max-width:768px) {
    header img{
        height: 12rem;
        width: 13rem;
    }
    #sect{
        flex-direction: column;
        flex-wrap: wrap;
        max-width: 100%;
        white-space: normal;
        word-break: break-all;
    }
    #actu{
        width: 100%;
        margin: 0 auto;
        margin-right: 4px;
    }
    .block_actu{
        margin: 0 auto;
        display: block;
        border-bottom: 2px solid #f1b375;
    }
    .fil{
        width: 90%;
        border: 2px solid;
        border-radius: 8px;
        justify-content: center;
        text-align: center;
    }
    .menu{
        display: none;
        flex-direction: column;
        padding: 10px;
    }
    #menu-toggle:checked + .menu-icon + .menu{
        display: flex;
    }
    .menu-icon{
        display: block;
    }
}


@media (max-width:640px) {
    header img{
        height: 12rem;
        width: 13rem;
        object-fit: cover;
    }
    #sect{
        flex-direction: column;
        flex-wrap: wrap;
        max-width: 100%;
        white-space: normal;
        word-break: break-all;
    }
    #actu{
        width: 100%;
        margin: 0 auto;
        margin-right: 4px;
    }
    .block_actu{
        margin: 0 auto;
        display: block;
        border-bottom: 2px solid #f1b375;
    }
    .fil{
        width: 90%;
        border: 2px solid;
        border-radius: 8px;
        justify-content: center;
        text-align: center;
    }
    .menu{
        display: none;
        flex-direction: column;
        padding: 10px;
    }
    #menu-toggle:checked + .menu-icon + .menu{
        display: flex;
    }
    .menu-icon{
        display: block;
    }
}
@media (max-width:480px) {
    header img{
        height: 12rem;
        width: 12rem;
    }
    #sect{
        flex-direction: column;
        flex-wrap: wrap;
        max-width: 100%;
        white-space: normal;
        word-break: break-all;
    }
    #actu{
        width: 100%;
        margin: 0 auto;
        margin-right: 4px;
    }
    .block_actu{
        margin: 0 auto;
        display: block;
        border-bottom: 2px solid #f1b375;
    }
    .fil{
        width: 90%;
        margin: 0 auto;
        margin-bottom: 4px;
        border: 2px solid;
        border-radius: 8px;
        justify-content: center;
        text-align: center;
    }
    .menu{
        display: none;
        flex-direction: column;
        padding: 10px;
    }
    #menu-toggle:checked + .menu-icon + .menu{
        display: flex;
    }
    .menu-icon{
        display: block;
    }
}